//########################
//InDesignCS4にPDFを配置していきます。
//見開きで作られたPDFを
//いい感じで配置していきます。
//ドキュメントを開いて実行してください。
//たけうちとおる
//090722天地左右の比率の間違いを訂正
//########################


//ダイアログ表示のおまじない
app.scriptPreferences.userInteractionLevel=1699311169;


if (app.documents.length != 0){
	app.activeDocument.sections[0].continueNumbering = false;
	app.activeDocument.sections[0].pageNumberStart = 2;
	var selFile = File.openDialog("PDFファイルを選択してください");
	app.pdfPlacePreferences.pdfCrop = PDFCrop.CROP_CONTENT_VISIBLE_LAYERS;	//1131573315	バウンディングボックス
	//app.pdfPlacePreferences.pdfCrop = PDFCrop.CROP_ART;//アート
	//app.pdfPlacePreferences.pdfCrop = PDFCrop.CROP_PDF;//	1131573328	トリミング
	//app.pdfPlacePreferences.pdfCrop = PDFCrop.CROP_TRIM;//	1131573332	トンボ
	//app.pdfPlacePreferences.pdfCrop = PDFCrop.CROP_BLEED;//	1131573314	裁ち落とし
	//app.pdfPlacePreferences.pdfCrop = PDFCrop.CROP_MEDIA;//	1131573325	メディア

	var loopflg = true;
	var placepage = 1;
	var pdfpage = 1;
	while (loopflg){
		loopflg = placepdf(selFile,placepage,pdfpage);
		placepage=placepage+2;
		pdfpage++;
	}
}
function placepdf(selFile,placepage,pdfpage){
	app.pdfPlacePreferences.pageNumber = pdfpage;
	if(placepage == 1){
		app.activeDocument.pages.add();
	}else{
		app.activeDocument.pages.add();
		app.activeDocument.pages.add();
	}
	//1=1,2=3,3=5,4=7
	var pageObj = app.activeDocument.pages[placepage-1];
	
	var rectObj = pageObj.rectangles.add();
	rectObj.strokeWeight = 0;
	var rectbounds = pageObj.bounds;
	//[Y1,X1,Y2,X2]//(top,left,bottom,right)
	rectbounds[0]=rectbounds[0]-3;
	rectbounds[1]=rectbounds[1]-3;
	rectbounds[2]=rectbounds[2]+3;
	rectbounds[3]=rectbounds[3]+rectbounds[3]+3;

	rectObj.geometricBounds = rectbounds;
	var pdfobj = rectObj.place(selFile);
	
	rectObj.allGraphics[0].verticalScale = 100;
	rectObj.allGraphics[0].horizontalScale = 100;

	rectObj.fit (FitOptions.CENTER_CONTENT);
	var placedpdfpage = rectObj.allGraphics[0].pdfAttributes.pageNumber;
	if(placedpdfpage != pdfpage){
		app.activeDocument.pages[-1].remove();
		app.activeDocument.pages[-1].remove();
		return false;
	}
	return true;
}